Subject: Re: [bitcoin-dev] Card Shuffle To Bitcoin Seed

From: Alan Evans <[email-masked]>
Date: Wed, 6 Feb 2019 09:48:25 -0400

It's not quite enough to just do SHA512, you missed out this condition
(incredibly rare as it is):

> In case IL is 0 or ≥n, the master key is invalid.

Also I can't see how I would use this to seed a hardware wallet that
requires a BIP39 seed as mentioned in your abstract.

For both of those reasons, you may want to just invent/formalize a scheme
that takes Cards -> Entropy.
>From that Entropy one can generate BIP39, and non-BIP39 fans can just
continue, generate and store their root xprv.

Prior art: Note that Ian Coleman's BIP39 site already supports Cards (and
Dice), see the logic here:
https://github.com/iancoleman/bip39/blob/master/src/js/entropy.js

Note it detected "full deck". It also calculates the Total Bits of Entropy
and can handle card replacement and multiple decks.

PS, you're a bit out on your entropy calculation, log2(52!) ~= 225.58 bits,
not 219.

On Tue, 5 Feb 2019 at 02:08, Devrandom via bitcoin-dev <
[email-masked]> wrote:

> I would suggest 50+ 6-sided dice rolls, giving about 128 bits of entropy.
> Compared to a shuffle, it's easier to be sure that you got the right amount
> of entropy, even if the dice are somewhat biased.
>
>
> On Mon, Feb 4, 2019 at 2:33 PM James MacWhyte via bitcoin-dev <
> [email-masked]> wrote:
>
>>
>> James
>>
>>
>> On Sun, Feb 3, 2019 at 10:27 AM Ryan Havar via bitcoin-dev <
>> [email-masked]> wrote:
>>
>>> Conveniently a shuffled deck of cards also can serve as a physical
>>> backup which is easy to hide in plain sight with great plausible
>>> deniability.
>>>
>>
>> To make sure someone doesn't play with your cards and mix up the order,
>> use a permanent marker to draw a diagonal line on the side of the deck from
>> corner to corner. If the cards ever get mixed up, you can put them back in
>> order by making sure the diagonal line matches up.
>> _______________________________________________
>> bitcoin-dev mailing list
>> [email-masked]
>> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>>
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>